ACL_ADD_PERM(3)

NAME
acl_add_perm - add permissions to a permission set

LIBRARY
libc

SYNOPSIS
#include <sys/types.h>
#include <sys/acl.h>
int
acl_add_perm(acl_permset_t permset_d, acl_perm_t perm);

DESCRIPTION
The acl_add_perm() function is a POSIX.1e call that adds the permission contained in perm to the permission set permset_d.

Note: it is not considered an error to attempt to add permissions that already exist in the permission set.

RETURN VALUES

ERRORS
The acl_add_perm() function fails if:

[EINVAL]
    Argument permset_d is not a valid descriptor for a permission set within an ACL entry. Argument perm does not contain a valid acl_perm_t value.

SEE ALSO
acl(3), acl_clear_perms(3), acl_delete_perm(3), acl_get_permset(3), acl_set_permset(3), posix1e(3)

STANDARDS
POSIX.1e is described in IEEE POSIX.1e draft 17.

HISTORY
POSIX.1e support was introduced in FreeBSD 4.0. The acl_add_perm() function was added in FreeBSD 5.0.

AUTHORS
The acl_add_perm() function was written by Chris D. Faulhaber <jedgar@fxp.org>.